Blame SOURCES/0015-Issue-5127-ds_selinux_restorecon.sh-always-exit-0.patch

9f2552
From 0ed471bae52bb0debd23336cbc5f3f1d400cbbc9 Mon Sep 17 00:00:00 2001
9f2552
From: Adam Williamson <awilliam@redhat.com>
9f2552
Date: Thu, 27 Jan 2022 11:07:26 -0800
9f2552
Subject: [PATCH] Issue 5127 - ds_selinux_restorecon.sh: always exit 0
9f2552
9f2552
Description:
9f2552
9f2552
We don't want to error out and give up on starting the service
9f2552
if the restorecon fails - it might just be that the directory
9f2552
doesn't exist and doesn't need restoring. Issue identified and
9f2552
fix suggested by Simon Farnsworth
9f2552
9f2552
relates: https://github.com/389ds/389-ds-base/issues/5127
9f2552
9f2552
Reviewed by: adamw & mreynolds
9f2552
---
9f2552
 wrappers/ds_selinux_restorecon.sh.in | 5 +++--
9f2552
 1 file changed, 3 insertions(+), 2 deletions(-)
9f2552
9f2552
diff --git a/wrappers/ds_selinux_restorecon.sh.in b/wrappers/ds_selinux_restorecon.sh.in
9f2552
index 063347de3..2d7386233 100644
9f2552
--- a/wrappers/ds_selinux_restorecon.sh.in
9f2552
+++ b/wrappers/ds_selinux_restorecon.sh.in
9f2552
@@ -29,5 +29,6 @@ then
9f2552
     exit 0
9f2552
 fi
9f2552
 
9f2552
-# Now run restorecon
9f2552
-restorecon ${DS_HOME_DIR}
9f2552
+# Now run restorecon, but don't die if it fails (could be that the
9f2552
+# directory doesn't exist)
9f2552
+restorecon ${DS_HOME_DIR} || :
9f2552
-- 
9f2552
2.31.1
9f2552